@charset "utf-8";
/*
2024-04-04 (주)파이브센스_FIVESENSES.Corp.

본 라이브러리(라이브러리 소스코드)는 (주)파이브센스의 자산입니다.
무단으로 외부로 유출 및 일시 반출을 할 경우 손해배상 책임 및 민사/형사적 책임이 있습니다.
*/

.main_rv8 {
    display: flex;
    justify-content: center;
    align-items: center;
}
s
.main_rv8 .widget-cont {
    width: 100%;
}

/* 게시판 리스트 */
.main_rv8 .board_list {
    position: relative;
}

.main_rv8 .move_link {
    height: 100%;
    display: block;
    overflow: hidden;
    transition: background-color 0.5s ease-in-out;
}

.main_rv8 .move_link .post_container {
    padding: 27px 30px 38px;
}

/* 게시판 로드된 게시글과 스켈레톤 UI와 height값 동일하게 맞추기 */
.main_rv8 .move_link.skeleton_ani .post_container {
    padding: 27px 30px 38px;
}

.main_rv8 .move_link.skeleton_ani .post_container > p {
    width: 100%;
    margin-bottom: 20px;
}

/* 게시판 내용 */
.main_rv8 .post_container .post_subject {
    font-size: 24px;
    font-weight: 700;
    line-height: 36px;
    color: #0c0c0c;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

/* 게시판 썸네일 */
.main_rv8 .thumb_container {
    overflow: hidden;
}

.main_rv8 .thumb_container .thumb {
    transition: all 0.5s ease-in-out;
}

/* 텍스트 컨테이너 */
.main_rv8 .logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 25px;
}

.main_rv8 .logo .gallery_logo img {
    max-width: 150px;
    max-height: 30px;
    object-fit: contain;
}

.main_rv8 .swiper-slide.on .logo .arrow img {
    content: url(/img/arrow_on.png);
}


/* 스와이퍼 */
.main_rv8 .swiper {
    padding: 30px 20px 20px;
    overflow: hidden;
}

.main_rv8 .swiper:has(.skeleton_ani) {
    padding: 0;
}

.main_rv8 .swiper-wrapper {
    align-items: stretch;
}

.main_rv8 .swiper-slide {
    height: auto;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.05);
    border-radius: 20px;
    overflow: hidden;
    transition: transform .5s;
}

.main_rv8 .swiper-slide.on {
    transform: translateY(-30px);
    transition: transform .5s;
}

@media all and (max-width: 991px) {
    .main_rv8 {
        height: auto;
        display: block;
    }

    .main_rv8 .container_fix {
        padding-right: 0;
    }

    /* 게시판 리스트 */
    .main_rv8 .move_link .post_container {
        padding: 25px 20px;
    }

    /* 게시판 로드된 게시글과 스켈레톤 UI와 height값 동일하게 맞추기 */
    .main_rv8 .move_link.skeleton_ani .post_container {
        padding: 25px 20px;
    }

    .main_rv8 .move_link.skeleton_ani .post_container > p {
        margin-bottom: 10px;
    }

    /* 게시판 날짜 */
    .main_rv8 .move_link .post_date {
        margin-bottom: 15px;
    }

    .main_rv8 .move_link .post_date span {
        font-size: 12px;
    }

    /* 게시판 내용 */
    .main_rv8 .post_container .post_subject {
        font-size: 17px;
        line-height: 27px;
    }

    .main_rv8 .logo .gallery_logo img {
        width: 80%;
    }

    /* 스와이퍼 */
    .main_rv8 .swiper {
        padding: 15px;
    }
    
    .main_rv8 .swiper-slide.on {
        transform: translateY(-10px);
    }
}